www.cendio.com

Bug 4078

Summary: vncviewer unable to find suitable pixmap format
Product: ThinLinc Reporter: Aaron Sowry <aaron@cendio.se>
Component: VNCAssignee: Pierre Ossman <ossman@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: samuel@cendio.se
Version: 3.2.0Keywords: aaron_tester
Target Milestone: 4.3.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2011-11-30 11:10:34
tlclient 3.2.0post build 3268
Fedora 16 32-bit on KVM (GNOME 3 "fallback mode")

vncviewer fails to start with the message:

vncviewer: CConn: Error: Couldn't find suitable pixmap format

Have not seen this before on any other platform, including a local install of
Fedora 16 64-bit (GNOME 3 proper). May be worth looking into, however.
------- Comment #1 From cendio 2014-10-15 13:26:05 -------
This has been fixed.

It happens when the local X server is 24-bit in all regards. All modern
hardware has 32-bit alignment for 24-bit depth, which is why we only see this
on virtualised systems. VMware machines are more or less always running in the
problematic mode. So neither KVM nor Gnome 3 are required to test this.
------- Comment #2 From cendio 2014-10-22 11:18:04 -------
Tested 4.3.0rc2 on a CentOS 6.4 KVM machine; everything worked fine. Testing
with 4.2.0 on the same platform resulted in the error, so we can safely
conclude that the bug is now fixed.